Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Parâmetros de consulta

api-version string exigido

The API version to use for this operation.

Parâmetros do cabeçalho

Foundry-Features enum exigido

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Parâmetros de caminho

name string exigido

Name of the model.

version string exigido

Version of the model.

Corpo da solicitação

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum exigido

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Respostas

The request has succeeded.

Corpo

Content-Type: application/json
blobReference BlobReference exigido

Blob reference details.

blobUri string exigido

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string exigido

ARM ID of the storage account to use.

credential SasCredential exigido

SAS Credential definition

sasUri string exigido

SAS uri

type enum exigido

Type of credential

SAS
pendingUploadId string exigido

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum exigido

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Resposta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026